Foreman - Bug #6976

Build default PXE menu should be POST request instead of GET
08/07/2014 03:57 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Tomas Strachota
Category: API
Target version: 1.9.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1127576 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2446
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1127576

Description of problem:

Build default PXE menu is an action that modifies data. Therefor the API request shall be a POST request instead of GET request.
This makes it also consistent with the import_puppetclases API call that needs a POST request

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.
2.
3.
Actual results:

Expected results:

Additional info:

Related issues:

Related to Foreman - Bug #10715: GET /api/v2/config_templates/build_pxe_defau... Closed 06/05/2015
Related to Foreman - Bug #10739: Remove GET variant of API route for building... New 06/09/2015
Related to Foreman - Bug #18488: GET /api/v2/provisioning_templates/build_pxe... Rejected 02/14/2017

Associated revisions

Revision 9250d8b4 - 06/10/2015 12:08 PM - Tomas Strachota
Fixes #6976 - Build default PXE menu should be POST request

History

#1 - 08/07/2014 03:57 AM - Dominic Cleal
- Subject changed from Build default PXE menu shall be POST request instead of GET to Build default PXE menu should be POST request instead of

GET
- Category set to API

- Assignee deleted (Bryan Kearney)

#2 - 06/05/2015 10:02 AM - Dominic Cleal
- Related to Bug #10715: GET /api/v2/config_templates/build_pxe_default returns non-JSON message added

#3 - 06/08/2015 03:55 AM - Tomas Strachota

- Status changed from New to Assigned
https://bugzilla.redhat.com/show_bug.cgi?id=1127576

- Assignee set to Tomas Strachota

#4 - 06/09/2015 09:13 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2446 added
- Pull request deleted ()

#5 - 06/09/2015 09:19 AM - Tomas Strachota
- Related to Bug #10739: Remove GET variant of API route for building default PXE menu added

#6 - 06/10/2015 12:04 PM - Dominic Cleal

- translation missing: en.field_release set to 35

#7 - 06/10/2015 01:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9250d8b4eb1173b7bfd3eed9bb69bababdadeb5sb.
#8 - 02/14/2017 04:58 AM - Swapnil Abnave

- Related to Bug #18488: GET /api/v2/provisioning_templates/build_pxe_default returns error "Resource provisioning_template not found by id
‘build_pxe_default' added
